curl --request POST \
--url https://api.hubapi.com/crm-object-schemas/2026-09/schemas \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"allowsSensitiveProperties": true,
"associatedObjects": [
"<string>"
],
"labels": {
"plural": "<string>",
"singular": "<string>"
},
"name": "<string>",
"properties": [
{
"fieldType": "<string>",
"label": "<string>",
"name": "<string>",
"description": "<string>",
"displayOrder": 123,
"externalOptionsReferenceType": "<string>",
"formField": true,
"groupName": "<string>",
"hasUniqueValue": true,
"hidden": true,
"options": [
{
"displayOrder": 123,
"hidden": true,
"label": "<string>",
"value": "<string>",
"description": "<string>"
}
],
"referencedObjectType": "<string>",
"searchableInGlobalSearch": true,
"showCurrencySymbol": true
}
],
"requiredProperties": [
"<string>"
],
"searchableProperties": [
"<string>"
],
"secondaryDisplayProperties": [
"<string>"
],
"shouldCreateSameObjectAssociation": true,
"description": "<string>",
"primaryDisplayProperty": "<string>"
}
'import requests
url = "https://api.hubapi.com/crm-object-schemas/2026-09/schemas"
payload = {
"allowsSensitiveProperties": True,
"associatedObjects": ["<string>"],
"labels": {
"plural": "<string>",
"singular": "<string>"
},
"name": "<string>",
"properties": [
{
"fieldType": "<string>",
"label": "<string>",
"name": "<string>",
"description": "<string>",
"displayOrder": 123,
"externalOptionsReferenceType": "<string>",
"formField": True,
"groupName": "<string>",
"hasUniqueValue": True,
"hidden": True,
"options": [
{
"displayOrder": 123,
"hidden": True,
"label": "<string>",
"value": "<string>",
"description": "<string>"
}
],
"referencedObjectType": "<string>",
"searchableInGlobalSearch": True,
"showCurrencySymbol": True
}
],
"requiredProperties": ["<string>"],
"searchableProperties": ["<string>"],
"secondaryDisplayProperties": ["<string>"],
"shouldCreateSameObjectAssociation": True,
"description": "<string>",
"primaryDisplayProperty": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
allowsSensitiveProperties: true,
associatedObjects: ['<string>'],
labels: {plural: '<string>', singular: '<string>'},
name: '<string>',
properties: [
{
fieldType: '<string>',
label: '<string>',
name: '<string>',
description: '<string>',
displayOrder: 123,
externalOptionsReferenceType: '<string>',
formField: true,
groupName: '<string>',
hasUniqueValue: true,
hidden: true,
options: [
{
displayOrder: 123,
hidden: true,
label: '<string>',
value: '<string>',
description: '<string>'
}
],
referencedObjectType: '<string>',
searchableInGlobalSearch: true,
showCurrencySymbol: true
}
],
requiredProperties: ['<string>'],
searchableProperties: ['<string>'],
secondaryDisplayProperties: ['<string>'],
shouldCreateSameObjectAssociation: true,
description: '<string>',
primaryDisplayProperty: '<string>'
})
};
fetch('https://api.hubapi.com/crm-object-schemas/2026-09/schemas', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hubapi.com/crm-object-schemas/2026-09/schemas",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'allowsSensitiveProperties' => true,
'associatedObjects' => [
'<string>'
],
'labels' => [
'plural' => '<string>',
'singular' => '<string>'
],
'name' => '<string>',
'properties' => [
[
'fieldType' => '<string>',
'label' => '<string>',
'name' => '<string>',
'description' => '<string>',
'displayOrder' => 123,
'externalOptionsReferenceType' => '<string>',
'formField' => true,
'groupName' => '<string>',
'hasUniqueValue' => true,
'hidden' => true,
'options' => [
[
'displayOrder' => 123,
'hidden' => true,
'label' => '<string>',
'value' => '<string>',
'description' => '<string>'
]
],
'referencedObjectType' => '<string>',
'searchableInGlobalSearch' => true,
'showCurrencySymbol' => true
]
],
'requiredProperties' => [
'<string>'
],
'searchableProperties' => [
'<string>'
],
'secondaryDisplayProperties' => [
'<string>'
],
'shouldCreateSameObjectAssociation' => true,
'description' => '<string>',
'primaryDisplayProperty' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.hubapi.com/crm-object-schemas/2026-09/schemas"
payload := strings.NewReader("{\n \"allowsSensitiveProperties\": true,\n \"associatedObjects\": [\n \"<string>\"\n ],\n \"labels\": {\n \"plural\": \"<string>\",\n \"singular\": \"<string>\"\n },\n \"name\": \"<string>\",\n \"properties\": [\n {\n \"fieldType\": \"<string>\",\n \"label\": \"<string>\",\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"displayOrder\": 123,\n \"externalOptionsReferenceType\": \"<string>\",\n \"formField\": true,\n \"groupName\": \"<string>\",\n \"hasUniqueValue\": true,\n \"hidden\": true,\n \"options\": [\n {\n \"displayOrder\": 123,\n \"hidden\": true,\n \"label\": \"<string>\",\n \"value\": \"<string>\",\n \"description\": \"<string>\"\n }\n ],\n \"referencedObjectType\": \"<string>\",\n \"searchableInGlobalSearch\": true,\n \"showCurrencySymbol\": true\n }\n ],\n \"requiredProperties\": [\n \"<string>\"\n ],\n \"searchableProperties\": [\n \"<string>\"\n ],\n \"secondaryDisplayProperties\": [\n \"<string>\"\n ],\n \"shouldCreateSameObjectAssociation\": true,\n \"description\": \"<string>\",\n \"primaryDisplayProperty\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.hubapi.com/crm-object-schemas/2026-09/schemas")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"allowsSensitiveProperties\": true,\n \"associatedObjects\": [\n \"<string>\"\n ],\n \"labels\": {\n \"plural\": \"<string>\",\n \"singular\": \"<string>\"\n },\n \"name\": \"<string>\",\n \"properties\": [\n {\n \"fieldType\": \"<string>\",\n \"label\": \"<string>\",\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"displayOrder\": 123,\n \"externalOptionsReferenceType\": \"<string>\",\n \"formField\": true,\n \"groupName\": \"<string>\",\n \"hasUniqueValue\": true,\n \"hidden\": true,\n \"options\": [\n {\n \"displayOrder\": 123,\n \"hidden\": true,\n \"label\": \"<string>\",\n \"value\": \"<string>\",\n \"description\": \"<string>\"\n }\n ],\n \"referencedObjectType\": \"<string>\",\n \"searchableInGlobalSearch\": true,\n \"showCurrencySymbol\": true\n }\n ],\n \"requiredProperties\": [\n \"<string>\"\n ],\n \"searchableProperties\": [\n \"<string>\"\n ],\n \"secondaryDisplayProperties\": [\n \"<string>\"\n ],\n \"shouldCreateSameObjectAssociation\": true,\n \"description\": \"<string>\",\n \"primaryDisplayProperty\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hubapi.com/crm-object-schemas/2026-09/schemas")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"allowsSensitiveProperties\": true,\n \"associatedObjects\": [\n \"<string>\"\n ],\n \"labels\": {\n \"plural\": \"<string>\",\n \"singular\": \"<string>\"\n },\n \"name\": \"<string>\",\n \"properties\": [\n {\n \"fieldType\": \"<string>\",\n \"label\": \"<string>\",\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"displayOrder\": 123,\n \"externalOptionsReferenceType\": \"<string>\",\n \"formField\": true,\n \"groupName\": \"<string>\",\n \"hasUniqueValue\": true,\n \"hidden\": true,\n \"options\": [\n {\n \"displayOrder\": 123,\n \"hidden\": true,\n \"label\": \"<string>\",\n \"value\": \"<string>\",\n \"description\": \"<string>\"\n }\n ],\n \"referencedObjectType\": \"<string>\",\n \"searchableInGlobalSearch\": true,\n \"showCurrencySymbol\": true\n }\n ],\n \"requiredProperties\": [\n \"<string>\"\n ],\n \"searchableProperties\": [\n \"<string>\"\n ],\n \"secondaryDisplayProperties\": [\n \"<string>\"\n ],\n \"shouldCreateSameObjectAssociation\": true,\n \"description\": \"<string>\",\n \"primaryDisplayProperty\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"allowsSensitiveProperties": true,
"archived": true,
"associations": [
{
"fromObjectTypeId": "<string>",
"id": "<string>",
"toObjectTypeId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"fullyQualifiedName": "<string>",
"id": "<string>",
"labels": {
"plural": "<string>",
"singular": "<string>"
},
"name": "<string>",
"objectTypeId": "<string>",
"properties": [
{
"description": "<string>",
"fieldType": "<string>",
"groupName": "<string>",
"label": "<string>",
"name": "<string>",
"options": [
{
"hidden": true,
"label": "<string>",
"value": "<string>",
"description": "<string>",
"displayOrder": 123
}
],
"type": "<string>",
"archived": true,
"archivedAt": "2023-11-07T05:31:56Z",
"calculated": true,
"calculationFormula": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"createdUserId": "<string>",
"currencyPropertyName": "<string>",
"dataSensitivity": "highly_sensitive",
"dateDisplayHint": "absolute",
"displayOrder": 123,
"externalOptions": true,
"formField": true,
"hasUniqueValue": true,
"hidden": false,
"hubspotDefined": true,
"modificationMetadata": {
"archivable": true,
"readOnlyDefinition": true,
"readOnlyValue": true,
"readOnlyOptions": true
},
"numberDisplayHint": "currency",
"referencedObjectType": "<string>",
"sensitiveDataCategories": [
"<string>"
],
"showCurrencySymbol": true,
"textDisplayHint": "domain_name",
"updatedAt": "2023-11-07T05:31:56Z",
"updatedUserId": "<string>"
}
],
"requiredProperties": [
"<string>"
],
"searchableProperties": [
"<string>"
],
"secondaryDisplayProperties": [
"<string>"
],
"createdAt": "2023-11-07T05:31:56Z",
"createdByUserId": 123,
"description": "<string>",
"primaryDisplayProperty": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"updatedByUserId": 123
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Create a new custom object schema.
Create a new custom object schema by defining its properties and associations.
curl --request POST \
--url https://api.hubapi.com/crm-object-schemas/2026-09/schemas \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"allowsSensitiveProperties": true,
"associatedObjects": [
"<string>"
],
"labels": {
"plural": "<string>",
"singular": "<string>"
},
"name": "<string>",
"properties": [
{
"fieldType": "<string>",
"label": "<string>",
"name": "<string>",
"description": "<string>",
"displayOrder": 123,
"externalOptionsReferenceType": "<string>",
"formField": true,
"groupName": "<string>",
"hasUniqueValue": true,
"hidden": true,
"options": [
{
"displayOrder": 123,
"hidden": true,
"label": "<string>",
"value": "<string>",
"description": "<string>"
}
],
"referencedObjectType": "<string>",
"searchableInGlobalSearch": true,
"showCurrencySymbol": true
}
],
"requiredProperties": [
"<string>"
],
"searchableProperties": [
"<string>"
],
"secondaryDisplayProperties": [
"<string>"
],
"shouldCreateSameObjectAssociation": true,
"description": "<string>",
"primaryDisplayProperty": "<string>"
}
'import requests
url = "https://api.hubapi.com/crm-object-schemas/2026-09/schemas"
payload = {
"allowsSensitiveProperties": True,
"associatedObjects": ["<string>"],
"labels": {
"plural": "<string>",
"singular": "<string>"
},
"name": "<string>",
"properties": [
{
"fieldType": "<string>",
"label": "<string>",
"name": "<string>",
"description": "<string>",
"displayOrder": 123,
"externalOptionsReferenceType": "<string>",
"formField": True,
"groupName": "<string>",
"hasUniqueValue": True,
"hidden": True,
"options": [
{
"displayOrder": 123,
"hidden": True,
"label": "<string>",
"value": "<string>",
"description": "<string>"
}
],
"referencedObjectType": "<string>",
"searchableInGlobalSearch": True,
"showCurrencySymbol": True
}
],
"requiredProperties": ["<string>"],
"searchableProperties": ["<string>"],
"secondaryDisplayProperties": ["<string>"],
"shouldCreateSameObjectAssociation": True,
"description": "<string>",
"primaryDisplayProperty": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
allowsSensitiveProperties: true,
associatedObjects: ['<string>'],
labels: {plural: '<string>', singular: '<string>'},
name: '<string>',
properties: [
{
fieldType: '<string>',
label: '<string>',
name: '<string>',
description: '<string>',
displayOrder: 123,
externalOptionsReferenceType: '<string>',
formField: true,
groupName: '<string>',
hasUniqueValue: true,
hidden: true,
options: [
{
displayOrder: 123,
hidden: true,
label: '<string>',
value: '<string>',
description: '<string>'
}
],
referencedObjectType: '<string>',
searchableInGlobalSearch: true,
showCurrencySymbol: true
}
],
requiredProperties: ['<string>'],
searchableProperties: ['<string>'],
secondaryDisplayProperties: ['<string>'],
shouldCreateSameObjectAssociation: true,
description: '<string>',
primaryDisplayProperty: '<string>'
})
};
fetch('https://api.hubapi.com/crm-object-schemas/2026-09/schemas', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hubapi.com/crm-object-schemas/2026-09/schemas",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'allowsSensitiveProperties' => true,
'associatedObjects' => [
'<string>'
],
'labels' => [
'plural' => '<string>',
'singular' => '<string>'
],
'name' => '<string>',
'properties' => [
[
'fieldType' => '<string>',
'label' => '<string>',
'name' => '<string>',
'description' => '<string>',
'displayOrder' => 123,
'externalOptionsReferenceType' => '<string>',
'formField' => true,
'groupName' => '<string>',
'hasUniqueValue' => true,
'hidden' => true,
'options' => [
[
'displayOrder' => 123,
'hidden' => true,
'label' => '<string>',
'value' => '<string>',
'description' => '<string>'
]
],
'referencedObjectType' => '<string>',
'searchableInGlobalSearch' => true,
'showCurrencySymbol' => true
]
],
'requiredProperties' => [
'<string>'
],
'searchableProperties' => [
'<string>'
],
'secondaryDisplayProperties' => [
'<string>'
],
'shouldCreateSameObjectAssociation' => true,
'description' => '<string>',
'primaryDisplayProperty' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.hubapi.com/crm-object-schemas/2026-09/schemas"
payload := strings.NewReader("{\n \"allowsSensitiveProperties\": true,\n \"associatedObjects\": [\n \"<string>\"\n ],\n \"labels\": {\n \"plural\": \"<string>\",\n \"singular\": \"<string>\"\n },\n \"name\": \"<string>\",\n \"properties\": [\n {\n \"fieldType\": \"<string>\",\n \"label\": \"<string>\",\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"displayOrder\": 123,\n \"externalOptionsReferenceType\": \"<string>\",\n \"formField\": true,\n \"groupName\": \"<string>\",\n \"hasUniqueValue\": true,\n \"hidden\": true,\n \"options\": [\n {\n \"displayOrder\": 123,\n \"hidden\": true,\n \"label\": \"<string>\",\n \"value\": \"<string>\",\n \"description\": \"<string>\"\n }\n ],\n \"referencedObjectType\": \"<string>\",\n \"searchableInGlobalSearch\": true,\n \"showCurrencySymbol\": true\n }\n ],\n \"requiredProperties\": [\n \"<string>\"\n ],\n \"searchableProperties\": [\n \"<string>\"\n ],\n \"secondaryDisplayProperties\": [\n \"<string>\"\n ],\n \"shouldCreateSameObjectAssociation\": true,\n \"description\": \"<string>\",\n \"primaryDisplayProperty\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.hubapi.com/crm-object-schemas/2026-09/schemas")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"allowsSensitiveProperties\": true,\n \"associatedObjects\": [\n \"<string>\"\n ],\n \"labels\": {\n \"plural\": \"<string>\",\n \"singular\": \"<string>\"\n },\n \"name\": \"<string>\",\n \"properties\": [\n {\n \"fieldType\": \"<string>\",\n \"label\": \"<string>\",\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"displayOrder\": 123,\n \"externalOptionsReferenceType\": \"<string>\",\n \"formField\": true,\n \"groupName\": \"<string>\",\n \"hasUniqueValue\": true,\n \"hidden\": true,\n \"options\": [\n {\n \"displayOrder\": 123,\n \"hidden\": true,\n \"label\": \"<string>\",\n \"value\": \"<string>\",\n \"description\": \"<string>\"\n }\n ],\n \"referencedObjectType\": \"<string>\",\n \"searchableInGlobalSearch\": true,\n \"showCurrencySymbol\": true\n }\n ],\n \"requiredProperties\": [\n \"<string>\"\n ],\n \"searchableProperties\": [\n \"<string>\"\n ],\n \"secondaryDisplayProperties\": [\n \"<string>\"\n ],\n \"shouldCreateSameObjectAssociation\": true,\n \"description\": \"<string>\",\n \"primaryDisplayProperty\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hubapi.com/crm-object-schemas/2026-09/schemas")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"allowsSensitiveProperties\": true,\n \"associatedObjects\": [\n \"<string>\"\n ],\n \"labels\": {\n \"plural\": \"<string>\",\n \"singular\": \"<string>\"\n },\n \"name\": \"<string>\",\n \"properties\": [\n {\n \"fieldType\": \"<string>\",\n \"label\": \"<string>\",\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"displayOrder\": 123,\n \"externalOptionsReferenceType\": \"<string>\",\n \"formField\": true,\n \"groupName\": \"<string>\",\n \"hasUniqueValue\": true,\n \"hidden\": true,\n \"options\": [\n {\n \"displayOrder\": 123,\n \"hidden\": true,\n \"label\": \"<string>\",\n \"value\": \"<string>\",\n \"description\": \"<string>\"\n }\n ],\n \"referencedObjectType\": \"<string>\",\n \"searchableInGlobalSearch\": true,\n \"showCurrencySymbol\": true\n }\n ],\n \"requiredProperties\": [\n \"<string>\"\n ],\n \"searchableProperties\": [\n \"<string>\"\n ],\n \"secondaryDisplayProperties\": [\n \"<string>\"\n ],\n \"shouldCreateSameObjectAssociation\": true,\n \"description\": \"<string>\",\n \"primaryDisplayProperty\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"allowsSensitiveProperties": true,
"archived": true,
"associations": [
{
"fromObjectTypeId": "<string>",
"id": "<string>",
"toObjectTypeId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"fullyQualifiedName": "<string>",
"id": "<string>",
"labels": {
"plural": "<string>",
"singular": "<string>"
},
"name": "<string>",
"objectTypeId": "<string>",
"properties": [
{
"description": "<string>",
"fieldType": "<string>",
"groupName": "<string>",
"label": "<string>",
"name": "<string>",
"options": [
{
"hidden": true,
"label": "<string>",
"value": "<string>",
"description": "<string>",
"displayOrder": 123
}
],
"type": "<string>",
"archived": true,
"archivedAt": "2023-11-07T05:31:56Z",
"calculated": true,
"calculationFormula": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"createdUserId": "<string>",
"currencyPropertyName": "<string>",
"dataSensitivity": "highly_sensitive",
"dateDisplayHint": "absolute",
"displayOrder": 123,
"externalOptions": true,
"formField": true,
"hasUniqueValue": true,
"hidden": false,
"hubspotDefined": true,
"modificationMetadata": {
"archivable": true,
"readOnlyDefinition": true,
"readOnlyValue": true,
"readOnlyOptions": true
},
"numberDisplayHint": "currency",
"referencedObjectType": "<string>",
"sensitiveDataCategories": [
"<string>"
],
"showCurrencySymbol": true,
"textDisplayHint": "domain_name",
"updatedAt": "2023-11-07T05:31:56Z",
"updatedUserId": "<string>"
}
],
"requiredProperties": [
"<string>"
],
"searchableProperties": [
"<string>"
],
"secondaryDisplayProperties": [
"<string>"
],
"createdAt": "2023-11-07T05:31:56Z",
"createdByUserId": 123,
"description": "<string>",
"primaryDisplayProperty": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"updatedByUserId": 123
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Supported products
Supported products
Required Scopes
Required Scopes
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
Determines if the object type can include properties that are marked as sensitive.
Associations defined for this object type.
Show child attributes
Show child attributes
A unique name for this object. For internal use only.
Properties defined for this object type.
Show child attributes
Show child attributes
The names of properties that should be required when creating an object of this type.
Names of properties that will be indexed for this object type in by HubSpot's product search.
The names of secondary properties for this object. These will be displayed as secondary on the HubSpot record page for this object type.
A boolean indicating whether associations should be created between objects of the same type.
A brief explanation of the object type.
The name of the primary property for this object. This will be displayed as primary on the HubSpot record page for this object type.
Response
successful operation
A boolean indicating whether the object schema allows sensitive properties.
A boolean indicating whether the object schema is archived.
Associations defined for a given object type.
Show child attributes
Show child attributes
An assigned unique ID for the object, including portal ID and object name.
A unique ID for this schema's object type. Will be defined as {meta-type}-{unique ID}.
Show child attributes
Show child attributes
A unique name for the schema's object type.
A string representing the type ID of the object.
Properties defined for this object type.
Show child attributes
Show child attributes
The names of properties that should be required when creating an object of this type.
Names of properties that will be indexed for this object type in by HubSpot's product search.
The names of secondary properties for this object. These will be displayed as secondary on the HubSpot record page for this object type.
When the object schema was created.
An integer representing the ID of the user who created the object schema.
A string providing a description of the object schema.
The name of the primary property for this object. This will be displayed as primary on the HubSpot record page for this object type.
When the object schema was last updated.
An integer representing the ID of the user who last updated the object schema.
Was this page helpful?